commit:     526704c7f0e3ba66dd5028f1a747e6512029360d
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  4 00:58:51 2023 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Tue Apr  4 01:34:45 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=526704c7

dev-php/smarty: add 4.3.1, drop 4.3.0 (fix CVE-2023-28447).

Bug: https://bugs.gentoo.org/903620
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 dev-php/smarty/Manifest                                    |  2 +-
 .../smarty/{smarty-4.3.0.ebuild => smarty-4.3.1.ebuild}    | 14 ++++++++++++--
 2 files changed, 13 insertions(+), 3 deletions(-)

diff --git a/dev-php/smarty/Manifest b/dev-php/smarty/Manifest
index 854d81f2df8c..c323682b9854 100644
--- a/dev-php/smarty/Manifest
+++ b/dev-php/smarty/Manifest
@@ -1,2 +1,2 @@
 DIST smarty-4.2.1.tar.gz 236881 BLAKE2B 
4014178cfc4411a9ded3120d0e3e977af0190bc03f6ed21bbd2c484ca8fb4e5aa79fe9c606ee13be87db94c17a00d7d0399cb04fe09c4b439b95bc7b9331d675
 SHA512 
0d55ab1d329aaa0853a1c40b5b0207d3ddc8b0c25d863a217b3c4ac8bb0a796bb60eda2919b5dda569565b03b8dd44dff67b55d8fafc005164f2848bb481d131
-DIST smarty-4.3.0.tar.gz 360023 BLAKE2B 
7f3fbeab71b9deb30242cfaf62a67380397a0ad0ca6c657186aa8150f27df46b33dbe55d32657f71f13ea6fe31d37dbfba44dee43ab21ef6906ba56e1ccdff60
 SHA512 
7db02a455ab4a6aeb69792f5cdd043a2045fa3a2045d06e1a2423cd4dae48c306be149c25567d1be92f50789e14c4d314b7bd29f3f52b74b00bfeeedc0be7ca9
+DIST smarty-4.3.1.tar.gz 361248 BLAKE2B 
b09ab14742b9ebdfd1e31ec9d2ac79016ce8869403da67ea241b735875ef25f40c2936a41bda5647ca697b708b91b02a29f5d17ebbc7d6049bf468851f0bc70f
 SHA512 
03a42007fd1c03ba502b7a2255071638e978a54e5d75d4542a033e9f490c7c41587b5593316269107fe904a7b96a1a3337bf9525e038a5bb4051cc9aef13940f

diff --git a/dev-php/smarty/smarty-4.3.0.ebuild 
b/dev-php/smarty/smarty-4.3.1.ebuild
similarity index 84%
rename from dev-php/smarty/smarty-4.3.0.ebuild
rename to dev-php/smarty/smarty-4.3.1.ebuild
index 312ca47189f6..0c5a425bf052 100644
--- a/dev-php/smarty/smarty-4.3.0.ebuild
+++ b/dev-php/smarty/smarty-4.3.1.ebuild
@@ -10,6 +10,7 @@ 
SRC_URI="https://github.com/smarty-php/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.g
 LICENSE="LGPL-3"
 SLOT="0"
 KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc examples"
 
 # PHP unicode support is detected at runtime, and the cached templates
 # that smarty generates depend on it. If, later on, PHP is reinstalled
@@ -18,13 +19,22 @@ KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
 # functions. See bug #532618.
 RDEPEND="dev-lang/php:*[unicode]"
 
+src_prepare() {
+       default
+
+       # Prepare the docs and examples for easy dodocing.
+       rm docs/_config.yml || die
+       mv -v demo examples || die
+}
+
 src_install() {
        insinto "/usr/share/php/${PN}"
        doins -r libs/*
 
-       # The smarty docs and examples aren't part of the tarball,
-       # https://github.com/smarty-php/smarty/issues/799
        local DOCS=( CHANGELOG.md README.md SECURITY.md )
+
+       use doc && dodoc -r docs/*
+       use examples && dodoc -r examples
        einstalldocs
 }
 

Reply via email to